import { FC, PropsWithChildren } from "react";
import ButtonOwn from "@/components/ButtonOwn";
import './page.scss'
import { useTranslations } from "next-intl";

interface Props {}

const Deposit: FC<PropsWithChildren<Props>> = () => {
    const t = useTranslations("DepositPage");
    let amount = 50
    let amountList = [10,20,50,100,200,500,1000,5000,10000]

    return (
        <div className="deposit-box">
            <div className="img-box"></div>
            <p className="btn-box" color="primary">PIX Ⅰ</p>
            <div className="amount-box">
                <span>{t('Montante')} (BRL):</span>
                <input type="number" placeholder="Mín. 10.00"/>
            </div>
            <ul className="ul-box">
                {
                    amountList.map((item, index) => (
                        <li className={amount==item?'active':''} key={index}>
                            <span className="hot"></span>
                            <div className="amountContent">
                                {/* <span className="iconfont icon-unit-brl"></span> */}
                                <span className="iconfont">R$</span>
                                <span> {item}</span>
                            </div>
                            <span className="amountTips">{t('Oferecer')} 100%</span>
                        </li>
                    ))
                }
            </ul>
            <div className="topUp">
                <ButtonOwn active={amount>0?true:false}>{t('DepositarAgora')}</ButtonOwn>
            </div>
        </div>
    );
};

export default Deposit;
