'use client'
import { FC, PropsWithChildren ,useRef, useState } from "react";
import { useRouter } from "@/i18n";
import './page.scss'

interface Props { }
const App: FC<PropsWithChildren<Props>> = (props) =>{
    const router:any = useRouter()
    const goPage = (path = '')=>{
        if(path){
            if(path === 'home'){
                router.replace('/')
                return
            }
            
            console.log(router);
            
            router.replace(`/affiliate/${path}`)
            return 
        }
        router.back()
    }
    const sliderRef = useRef<HTMLDivElement>(null)
    const [num,setNum] = useState(100)
    const [money,setMoney] = useState('5000')
    const handleSlide:any =(e:React.MouseEvent<HTMLDivElement,MouseEvent>)=>{
        if(sliderRef.current){
            const startX = sliderRef.current.getBoundingClientRect().x
            const x = e.clientX - startX
            const xRem = x/(144*0.6)
            const intNum = Math.round(10000*xRem)-Math.round(10000*xRem%10)
            setNum(intNum)
            const m = intNum*50
            let r = ''
            const arr = m.toString().split('')
            arr.forEach((item,i)=>{
                if(i!==arr.length&&(arr.length-i-1)%3===0){
                    r += item + ','
                }else{
                    r += item
                }
            })
            
            setMoney(r)

            const scale = ((Math.round((xRem * 10000)))/100.00).toFixed(2) + '%';
            sliderRef.current.style.width = scale
        }
    }
    return (
        <div className="vux-drawer-faq">
            <div className="vux-drawer-body" style={{transform: "translate3d(0px, 0px, 0px)"}}>
                <div className="referral router-view" id="id-router-view" style={{backgroundColor: "rgb(237, 237, 237)"}}>
                    <div className="headerBack">
                        <div className="left" onClick={()=>goPage()}>
                            <span className="iconfont icon-xiangzuo1"></span>
                        </div>
                        <span className="title">
                            Afiliado 
                            <span style={{fontSize: "0.14rem"}}> - Ganhe R$ 10.000 por dia</span>
                        </span>
                        <span className="right" onClick={()=>goPage('home')}>
                            <span className="iconfont icon-home_line router-link-active"></span>
                        </span>
                    </div>
                    <div className="tabs alginLeft van-tabs van-tabs--line">
                        <div className="van-tabs__wrap van-tabs__wrap--scrollable">
                            <div role="tablist" className="van-tabs__nav van-tabs__nav--line van-tabs__nav--complete">
                                <div className="van-tab" onClick={()=>goPage('summary')}>
                                    <span className="van-tab__text">PAINEL</span>
                                </div>
                                <div className="van-tab" onClick={()=>goPage('referrals')}>
                                    <span className="van-tab__text">REFERÊNCIAS</span>
                                </div>
                                <div className="van-tab" onClick={()=>goPage('report')}>
                                    <span className="van-tab__text">RELATÓRIO</span>
                                </div>
                                <div className="van-tab" onClick={()=>goPage('payments')}>
                                    <span className="van-tab__text">PAGAMENTOS</span>
                                </div>
                                <div className="van-tab van-tab--active" aria-selected="true" onClick={()=>goPage('faq')}>
                                    <span className="van-tab__text">FAQ</span>  
                                </div>
                                <div className="van-tab">
                                    <span className="van-tab__text">TUTORIAL</span>
                                </div>
                                <div className="van-tabs__line"></div>
                            </div>
                        </div>
                    </div>
                    <div className="content">
                        <div className="referralFaq referralFaq referral-router-view">
                            <div className="content">
                                <h2>O que é o programa de afiliados 9F.COM?</h2>
                                <div>
                                    9F.COM Afiliados é um programa onde oferecemos a você a oportunidade de ganhar dinheiro todos os dias, simplesmente nos dando a chance de receber mais jogadores.
                                </div>
                            </div>
                            <div className="content">
                                <h2>QUANTO CUSTA PARA PARTICIPAR?</h2>
                                <div>Absolutamente nada. É totalmente gratuito.</div>
                            </div>
                            <div className="content">
                                <h2>Posso obter benefícios mesmo se não tiver um site? </h2>
                                <div>
                                    Claro que pode. Podemos fornecer todas as ferramentas de marketing de que você precisa para promover a 9F.COM offline nas mídias sociais ou por e-mail.
                                </div>
                            </div>
                            <div className="content">
                                <h2>QUANTO EU GANHO? </h2>
                                <div>Como parte da nossa rede de afiliados, você será pago em um modelo de compartilhamento de receita. Você ganha mais de 80% de recompensa de comissão.</div>
                                <div className="link">
                                    <a href="">Regras de recompensa da comissão</a>
                                    <a href="">Regras de cálculo de comissão</a>
                                </div>
                            </div>
                            <div className="imgContent rowReverse">
                                <img src="/img/cash.png" alt="" />
                                <div>
                                    Número de indicações > {num}
                                    <br />
                                    Comissão > R$ {money} todo mês!
                                </div>
                                <div className="slider van-slider" style={{height: "0.02rem"}} onClick={handleSlide}>
                                    <div className="van-slider__bar" style={{width: "0.900901%", background: "rgb(0, 157, 128)"}} ref={sliderRef}>
                                        <div role="slider" className="van-slider__button-wrapper">
                                            <div className="img"></div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div className="relationSchema">
                                <div className="groupTitle">Unlimited development of subordinates</div>
                                <img src="/img/group_br.webp" alt="" className="groupImg"/>
                                <ul className="rules">
                                    <li>
                                        Você receberá uma porcentagem de comissão diferente toda vez que um jogador indicado por você fizer uma aposta, 
                                        <span style={{color:"red"}}>ganhar ou perder</span>
                                    </li>
                                    <li>
                                        O sistema calcula a comissão a cada 3 minutos.
                                    </li>
                                </ul>
                            </div>
                            <div className="content">
                                <h2>Definição</h2>
                                <div>
                                    <p>Inscrições - Número de usuários registrados</p>
                                    <p>Novos Jogadores - Novos jogadores pagantes entre os usuários registrados de hoje</p>
                                    <p>
                                        Aposta válidas em equiper[num] - Total de valor de apostas válidas provenientes de indicações e contribuições de suas equipes. num - Número total de indicações e membros de suas equipes que contribuíram com apostas válidas.
                                    </p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div className="drawer-mask"></div>
            </div>
        </div>
    )
}
export default App